const util = require("../../utils/func/request");

//验证人脸信息--人脸下发
const getFace_wxrlxf = (api, method, data) => {
  my.showLoading();
  return util
    .request({
      url: api,
      data: data,
      method: method,
      type: "application/json"
    })
    .then(suc => {
      return suc;
    })
    .catch(err => {
      util.showToast(err);
      my.showToast({
        content: err,
        duration: 2000
      });
    })
    .finally(() => {
      my.removeStorage({
        key: "wx_dateCode"
    });
      my.hideLoading();
    });
};
module.exports = {
  getFace_wxrlxf: getFace_wxrlxf,
};